Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
texlive-2017 blockers
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
froosh
n00b
n00b


Joined: 10 Jul 2014
Posts: 28

PostPosted: Tue Feb 20, 2018 8:28 pm    Post subject: texlive-2017 blockers Reply with quote

Hi, I'm not sure how to deal with the following sitaution:

Code:
# emerge -av --update --deep --with-bdeps=y --newuse @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] media-libs/fontconfig-2.12.6:1.0::gentoo [2.12.4:1.0::gentoo] USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)" 1,587 KiB
[ebuild     U  ] app-text/texlive-core-2017-r3::gentoo [2016-r6::gentoo] USE="X luajittex -cjk -doc -source -tk -xetex" 10,568 KiB
[ebuild     U  ] dev-texlive/texlive-basic-2017-r1::gentoo [2016::gentoo] USE="luajittex -doc -source" 4,740 KiB
[ebuild     U  ] dev-texlive/texlive-latex-2017::gentoo [2016::gentoo] USE="-doc -source" 863 KiB
[ebuild     U  ] dev-texlive/texlive-fontsrecommended-2017::gentoo [2016::gentoo] USE="-doc -source" 90,653 KiB
[ebuild     U  ] dev-texlive/texlive-fontutils-2017::gentoo [2016::gentoo] USE="-doc -source" 208 KiB
[ebuild  N     ] dev-texlive/texlive-plaingeneric-2017::gentoo  USE="-doc -source" 1,722 KiB
[ebuild     U  ] dev-texlive/texlive-fontsextra-2017::gentoo [2016::gentoo] USE="-doc -source" 283,115 KiB
[ebuild     U  ] dev-texlive/texlive-publishers-2017::gentoo [2016::gentoo] USE="-doc -source" 9,960 KiB
[ebuild     U  ] dev-texlive/texlive-bibtexextra-2017::gentoo [2016::gentoo] USE="-doc -source" 1,718 KiB
[ebuild     U  ] dev-texlive/texlive-latexrecommended-2017::gentoo [2016::gentoo] USE="-doc -source" 14,243 KiB
[ebuild     U  ] dev-texlive/texlive-pictures-2017::gentoo [2016::gentoo] USE="-doc -source" 3,427 KiB
[ebuild     U  ] dev-texlive/texlive-pstricks-2017::gentoo [2016::gentoo] USE="-doc -source" 25,627 KiB
[ebuild     U  ] dev-texlive/texlive-latexextra-2017::gentoo [2016::gentoo] USE="-doc -source" 11,772 KiB
[blocks b      ] <dev-texlive/texlive-latexextra-2017 ("<dev-texlive/texlive-latexextra-2017" is blocking dev-texlive/texlive-latexrecommended-2017)
[ebuild     U  ] app-text/texlive-2017::gentoo [2016::gentoo] USE="X png truetype xml -cjk -context -detex -dvi2tty -epspdf -extra -games -graphics -humanities -jadetex -luatex -metapost -music -pdfannotextractor -pstricks -publishers -science -tex4ht -texi2html -xetex -xindy (-omega%)" L10N="-af -ar -as -bg -bn -br -ca -cs -cy -da -de -el -en -en-GB -eo -es -et -eu -fa -fi -fr -ga -gl -gu -he -hi -hr -hsb -hu -hy -ia -id -is -it -ja -kn -ko -la -lo -lt -lv -ml -mn -mr -nb -nl -nn -no -or -pa -pl -pt -rm -ro -ru -sa -sco -sk -sl -sq -sr -sv -ta -te -th -tk -tr -uk -vi -zh" 0 KiB
[blocks B      ] dev-texlive/texlive-genericextra ("dev-texlive/texlive-genericextra" is blocking dev-texlive/texlive-plaingeneric-2017)
[blocks B      ] dev-texlive/texlive-plainextra ("dev-texlive/texlive-plainextra" is blocking dev-texlive/texlive-plaingeneric-2017)
[blocks B      ] dev-texlive/texlive-genericrecommended ("dev-texlive/texlive-genericrecommended" is blocking dev-texlive/texlive-plaingeneric-2017)

Total: 15 packages (14 upgrades, 1 new), Size of downloads: 460,196 KiB
Conflict: 4 blocks (3 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (dev-texlive/texlive-genericrecommended-2016:0/0::gentoo, installed) pulled in by
    dev-texlive/texlive-genericrecommended required by @selected

  (dev-texlive/texlive-plainextra-2016:0/0::gentoo, installed) pulled in by
    >=dev-texlive/texlive-plainextra-2013 required by (virtual/texi2dvi-0-r1:0/0::gentoo, installed)
    dev-texlive/texlive-plainextra required by @selected

  (dev-texlive/texlive-genericextra-2016:0/0::gentoo, installed) pulled in by
    dev-texlive/texlive-genericextra required by @selected
    dev-texlive/texlive-genericextra required by (app-office/lyx-2.2.3-r3:0/0::gentoo, installed)
    dev-texlive/texlive-genericextra required by (dev-tex/biblatex-3.4-r1:0/0::gentoo, installed)

  (dev-texlive/texlive-plaingeneric-2017:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-texlive/texlive-plaingeneric-2017 required by (dev-texlive/texlive-pstricks-2017:0/0::gentoo, ebuild scheduled for merge)
    >=dev-texlive/texlive-plaingeneric-2017 required by (app-text/texlive-2017:0/0::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


I've tried removing all of the texlive packages in order to upgrade, but I still run into a blocker from genericextra-2016.

Any help would be appreciated!
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20121
Location: here

PostPosted: Tue Feb 20, 2018 8:38 pm    Post subject: Reply with quote

You also removed dev-texlive/texlive-genericextra, dev-texlive/texlive-plainextra, dev-texlive/texlive-genericrecommended that probably are merged in dev-texlive/texlive-plaingeneric?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
froosh
n00b
n00b


Joined: 10 Jul 2014
Posts: 28

PostPosted: Tue Feb 20, 2018 9:40 pm    Post subject: Reply with quote

fedeliallalinea wrote:
You also removed dev-texlive/texlive-genericextra, dev-texlive/texlive-plainextra, dev-texlive/texlive-genericrecommended that probably are merged in dev-texlive/texlive-plaingeneric?


Yes, I unmerged the following:

Code:
All selected packages: =dev-texlive/texlive-genericrecommended-2016 =dev-texlive/texlive-latexextra-2016 =dev-texlive/texlive-latexrecommended-2016 =dev-texlive/texlive-fontutils-2016 =dev-texlive/texlive-fontsrecommended-2016 =dev-texlive/texlive-fontsextra-2016 =dev-texlive/texlive-basic-2016 =dev-texlive/texlive-publishers-2016 =dev-texlive/texlive-genericextra-2016 =dev-texlive/texlive-pstricks-2016 =dev-texlive/texlive-science-2015 =dev-texlive/texlive-latex-2016 =dev-texlive/texlive-bibtexextra-2016 =dev-texlive/texlive-pictures-2016 =dev-texlive/texlive-plainextra-2016


And tried to do a world update, which failed and also said genericextra was blocking plaingeneric-2017.

At that point I just reinstalled all of the packages so I can continue using tex. What I posted was the original world update.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20121
Location: here

PostPosted: Wed Feb 21, 2018 8:01 am    Post subject: Reply with quote

Probably, it's a long shot, the problem is biblatex
Code:
$ grep "dev-texlive/texlive-genericextra" /usr/portage/* -r --include=*.ebuild
/usr/portage/app-office/lyx/lyx-2.2.3-r3.ebuild:                || ( dev-texlive/texlive-plaingeneric dev-texlive/texlive-genericextra )
/usr/portage/app-office/lyx/lyx-2.2.3-r1.ebuild:                || ( dev-texlive/texlive-plaingeneric dev-texlive/texlive-genericextra )
/usr/portage/app-office/lyx/lyx-2.1.5-r1.ebuild:                || ( dev-texlive/texlive-plaingeneric dev-texlive/texlive-genericextra )
/usr/portage/dev-tex/glossaries/glossaries-4.12-r1.ebuild:      || ( dev-texlive/texlive-plaingeneric >=dev-texlive/texlive-genericextra-2014 )"
/usr/portage/dev-tex/biblatex/biblatex-3.7-r1.ebuild:   || ( dev-texlive/texlive-plaingeneric dev-texlive/texlive-genericextra )"
/usr/portage/dev-tex/biblatex/biblatex-3.4-r1.ebuild:   dev-texlive/texlive-genericextra"
/usr/portage/dev-tex/biblatex/biblatex-3.10.ebuild:     || ( dev-texlive/texlive-plaingeneric dev-texlive/texlive-genericextra )"
/usr/portage/dev-tex/biblatex/biblatex-3.9.ebuild:      || ( dev-texlive/texlive-plaingeneric dev-texlive/texlive-genericextra )"
/usr/portage/dev-tex/biblatex/biblatex-3.7.ebuild:      dev-texlive/texlive-genericextra"
/usr/portage/dev-texlive/texlive-plaingeneric/texlive-plaingeneric-2017.ebuild:!dev-texlive/texlive-genericextra
/usr/portage/dev-texlive/texlive-music/texlive-music-2015.ebuild:!<dev-texlive/texlive-genericextra-2015
/usr/portage/dev-texlive/texlive-music/texlive-music-2016.ebuild:!<dev-texlive/texlive-genericextra-2015
/usr/portage/dev-texlive/texlive-music/texlive-music-2017.ebuild:!<dev-texlive/texlive-genericextra-2015

indeed stable version require only dev-texlive/texlive-genericextra but version 3.7-r1 resolve problem.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
froosh
n00b
n00b


Joined: 10 Jul 2014
Posts: 28

PostPosted: Wed Feb 21, 2018 7:33 pm    Post subject: Reply with quote

So I installed biblatex-3.7-r1 with the ~amd64 flag in the package.accept_keywords file and it also upgraded biber and installed a bunch of new perl packages.

I then unmerged all of the aformentioned dev-tex/texlive packages and the world update still fails:

Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] media-libs/fontconfig-2.12.6:1.0::gentoo [2.12.4:1.0::gentoo] USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)" 1,587 KiB
[ebuild     U  ] app-text/texlive-core-2017-r3::gentoo [2016-r6::gentoo] USE="X luajittex -cjk -doc -source -tk -xetex" 10,568 KiB
[ebuild  N     ] dev-texlive/texlive-basic-2017-r1::gentoo  USE="luajittex -doc -source" 4,740 KiB
[ebuild  N     ] dev-texlive/texlive-latex-2017::gentoo  USE="-doc -source" 863 KiB
[ebuild  N     ] dev-texlive/texlive-plaingeneric-2017::gentoo  USE="-doc -source" 1,722 KiB
[ebuild  N     ] dev-texlive/texlive-fontsrecommended-2017::gentoo  USE="-doc -source" 90,653 KiB
[ebuild  N     ] dev-texlive/texlive-fontutils-2017::gentoo  USE="-doc -source" 208 KiB
[ebuild  N     ] dev-texlive/texlive-genericextra-2016::gentoo  USE="-doc -source" 0 KiB
[ebuild  N     ] dev-texlive/texlive-plainextra-2016::gentoo  USE="-doc -source" 0 KiB
[ebuild  N     ] dev-texlive/texlive-genericrecommended-2016::gentoo  USE="-doc -source" 0 KiB
[ebuild  N     ] dev-texlive/texlive-fontsextra-2017::gentoo  USE="-doc -source" 283,115 KiB
[ebuild  N     ] dev-texlive/texlive-latexrecommended-2017::gentoo  USE="-doc -source" 14,243 KiB
[ebuild  N     ] dev-texlive/texlive-bibtexextra-2017::gentoo  USE="-doc -source" 1,718 KiB
[ebuild  N     ] dev-texlive/texlive-publishers-2017::gentoo  USE="-doc -source" 9,960 KiB
[ebuild  N     ] dev-texlive/texlive-pstricks-2017::gentoo  USE="-doc -source" 25,627 KiB
[ebuild  N     ] dev-texlive/texlive-pictures-2017::gentoo  USE="-doc -source" 3,427 KiB
[ebuild  N     ] dev-texlive/texlive-latexextra-2017::gentoo  USE="-doc -source" 11,772 KiB
[ebuild     U  ] app-text/texlive-2017::gentoo [2016::gentoo] USE="X png truetype xml -cjk -context -detex -dvi2tty -epspdf -extra -games -graphics -humanities -jadetex -luatex -metapost -music -pdfannotextractor -pstricks -publishers -science -tex4ht -texi2html -xetex -xindy (-omega%)" L10N="-af -ar -as -bg -bn -br -ca -cs -cy -da -de -el -en -en-GB -eo -es -et -eu -fa -fi -fr -ga -gl -gu -he -hi -hr -hsb -hu -hy -ia -id -is -it -ja -kn -ko -la -lo -lt -lv -ml -mn -mr -nb -nl -nn -no -or -pa -pl -pt -rm -ro -ru -sa -sco -sk -sl -sq -sr -sv -ta -te -th -tk -tr -uk -vi -zh" 0 KiB
[ebuild  N     ] dev-texlive/texlive-science-2015::gentoo  USE="-doc -source" 0 KiB
[blocks B      ] dev-texlive/texlive-genericrecommended ("dev-texlive/texlive-genericrecommended" is blocking dev-texlive/texlive-plaingeneric-2017)
[blocks B      ] dev-texlive/texlive-genericextra ("dev-texlive/texlive-genericextra" is blocking dev-texlive/texlive-plaingeneric-2017)
[blocks B      ] dev-texlive/texlive-plainextra ("dev-texlive/texlive-plainextra" is blocking dev-texlive/texlive-plaingeneric-2017)

Total: 19 packages (3 upgrades, 16 new), Size of downloads: 460,196 KiB
Conflict: 3 blocks (3 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (dev-texlive/texlive-genericrecommended-2016:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-texlive/texlive-genericrecommended required by @selected

  (dev-texlive/texlive-plainextra-2016:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-texlive/texlive-plainextra required by @selected

  (dev-texlive/texlive-genericextra-2016:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-texlive/texlive-genericextra required by @selected

  (dev-texlive/texlive-plaingeneric-2017:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-texlive/texlive-plaingeneric required by (virtual/texi2dvi-0-r1:0/0::gentoo, installed)
    dev-texlive/texlive-plaingeneric required by (dev-tex/biblatex-3.7-r1:0/0::gentoo, installed)
    >=dev-texlive/texlive-plaingeneric-2017 required by (dev-texlive/texlive-pstricks-2017:0/0::gentoo, ebuild scheduled for merge)
    dev-texlive/texlive-plaingeneric required by (app-office/lyx-2.2.3-r3:0/0::gentoo, installed)
    >=dev-texlive/texlive-plaingeneric-2017 required by (app-text/texlive-2017:0/0::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20121
Location: here

PostPosted: Wed Feb 21, 2018 8:21 pm    Post subject: Reply with quote

You can add also -t option to emerge command and post output?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
froosh
n00b
n00b


Joined: 10 Jul 2014
Posts: 28

PostPosted: Wed Feb 21, 2018 9:16 pm    Post subject: Reply with quote

Sure thing

Code:

# emerge -tav --update --deep --with-bdeps=y --newuse @world

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild  N     ] dev-texlive/texlive-science-2015::gentoo  USE="-doc -source" 0 KiB
[ebuild  N     ] dev-texlive/texlive-genericrecommended-2016::gentoo  USE="-doc -source" 0 KiB
[ebuild     U  ] app-text/texlive-2017::gentoo [2016::gentoo] USE="X png truetype xml -cjk -context -detex -dvi2tty -epspdf -extra -games -graphics -humanities -jadetex -luatex -metapost -music -pdfannotextractor -pstricks -publishers -science -tex4ht -texi2html -xetex -xindy (-omega%)" L10N="-af -ar -as -bg -bn -br -ca -cs -cy -da -de -el -en -en-GB -eo -es -et -eu -fa -fi -fr -ga -gl -gu -he -hi -hr -hsb -hu -hy -ia -id -is -it -ja -kn -ko -la -lo -lt -lv -ml -mn -mr -nb -nl -nn -no -or -pa -pl -pt -rm -ro -ru -sa -sco -sk -sl -sq -sr -sv -ta -te -th -tk -tr -uk -vi -zh" 0 KiB
[ebuild  N     ] dev-texlive/texlive-plainextra-2016::gentoo  USE="-doc -source" 0 KiB
[ebuild  N     ] dev-texlive/texlive-fontsextra-2017::gentoo  USE="-doc -source" 283,115 KiB
[ebuild  N     ] dev-texlive/texlive-genericextra-2016::gentoo  USE="-doc -source" 0 KiB
[ebuild  N     ] dev-texlive/texlive-publishers-2017::gentoo  USE="-doc -source" 9,960 KiB
[ebuild  N     ] dev-texlive/texlive-latexextra-2017::gentoo  USE="-doc -source" 11,772 KiB
[ebuild  N     ] dev-texlive/texlive-bibtexextra-2017::gentoo  USE="-doc -source" 1,718 KiB
[ebuild  N     ] dev-texlive/texlive-pictures-2017::gentoo  USE="-doc -source" 3,427 KiB
[ebuild  N     ] dev-texlive/texlive-pstricks-2017::gentoo  USE="-doc -source" 25,627 KiB
[ebuild  N     ] dev-texlive/texlive-fontutils-2017::gentoo  USE="-doc -source" 208 KiB
[ebuild  N     ] dev-texlive/texlive-fontsrecommended-2017::gentoo  USE="-doc -source" 90,653 KiB
[nomerge       ] app-text/texlive-2017::gentoo [2016::gentoo] USE="X png truetype xml -cjk -context -detex -dvi2tty -epspdf -extra -games -graphics -humanities -jadetex -luatex -metapost -music -pdfannotextractor -pstricks -publishers -science -tex4ht -texi2html -xetex -xindy (-omega%)" L10N="-af -ar -as -bg -bn -br -ca -cs -cy -da -de -el -en -en-GB -eo -es -et -eu -fa -fi -fr -ga -gl -gu -he -hi -hr -hsb -hu -hy -ia -id -is -it -ja -kn -ko -la -lo -lt -lv -ml -mn -mr -nb -nl -nn -no -or -pa -pl -pt -rm -ro -ru -sa -sco -sk -sl -sq -sr -sv -ta -te -th -tk -tr -uk -vi -zh"
[nomerge       ]  app-text/dvipng-1.15::gentoo  USE="truetype {-test}"
[nomerge       ]   virtual/texi2dvi-0-r1::gentoo
[ebuild  N     ]    dev-texlive/texlive-plaingeneric-2017::gentoo  USE="-doc -source" 1,722 KiB
[ebuild  N     ]  dev-texlive/texlive-latexrecommended-2017::gentoo  USE="-doc -source" 14,243 KiB
[ebuild  N     ]   dev-texlive/texlive-latex-2017::gentoo  USE="-doc -source" 863 KiB
[ebuild  N     ]    dev-texlive/texlive-basic-2017-r1::gentoo  USE="luajittex -doc -source" 4,740 KiB
[ebuild     U  ]     app-text/texlive-core-2017-r3::gentoo [2016-r6::gentoo] USE="X luajittex -cjk -doc -source -tk -xetex" 10,568 KiB
[ebuild     U  ] media-libs/fontconfig-2.12.6:1.0::gentoo [2.12.4:1.0::gentoo] USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)" 1,587 KiB
[blocks B      ] dev-texlive/texlive-genericrecommended ("dev-texlive/texlive-genericrecommended" is blocking dev-texlive/texlive-plaingeneric-2017)
[blocks B      ] dev-texlive/texlive-genericextra ("dev-texlive/texlive-genericextra" is blocking dev-texlive/texlive-plaingeneric-2017)
[blocks B      ] dev-texlive/texlive-plainextra ("dev-texlive/texlive-plainextra" is blocking dev-texlive/texlive-plaingeneric-2017)

Total: 19 packages (3 upgrades, 16 new), Size of downloads: 460,196 KiB
Conflict: 3 blocks (3 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (dev-texlive/texlive-plainextra-2016:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-texlive/texlive-plainextra required by @selected

  (dev-texlive/texlive-plaingeneric-2017:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-texlive/texlive-plaingeneric-2017 required by (app-text/texlive-2017:0/0::gentoo, ebuild scheduled for merge)
    >=dev-texlive/texlive-plaingeneric-2017 required by (dev-texlive/texlive-pstricks-2017:0/0::gentoo, ebuild scheduled for merge)
    dev-texlive/texlive-plaingeneric required by (app-office/lyx-2.2.3-r3:0/0::gentoo, installed)
    dev-texlive/texlive-plaingeneric required by (virtual/texi2dvi-0-r1:0/0::gentoo, installed)
    dev-texlive/texlive-plaingeneric required by (dev-tex/biblatex-3.7-r1:0/0::gentoo, installed)

  (dev-texlive/texlive-genericextra-2016:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-texlive/texlive-genericextra required by @selected

  (dev-texlive/texlive-genericrecommended-2016:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-texlive/texlive-genericrecommended required by @selected


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages
Back to top
View user's profile Send private message
mv
Watchman
Watchman


Joined: 20 Apr 2005
Posts: 6242

PostPosted: Thu Feb 22, 2018 10:43 am    Post subject: Reply with quote

You have a lot of texlive-* packages in your world file.
Only app-text/texlive should be there, and all other should be pulled from it.

In particular, texlive-plainextra and texlive-genericextra do no longer exist for texlive-2017 (they have probably been renamed or moved to other packages). Deselect them (e.g. remove them from your world file).
Maybe you have even a particular version of some packages fixed in the world file (at least the output for texlive-plainextra might suggest this). If this is the case, remove these from your world file, too.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20121
Location: here

PostPosted: Thu Feb 22, 2018 10:55 am    Post subject: Reply with quote

mv wrote:
In particular, texlive-plainextra and texlive-genericextra do no longer exist for texlive-2017 (they have probably been renamed or moved to other packages). Deselect them (e.g. remove them from your world file).

How they may be in the world file if he has removed them?

mv wrote:
Maybe you have even a particular version of some packages fixed in the world file (at least the output for texlive-plainextra might suggest this). If this is the case, remove these from your world file, too.

froosh you can check this with equery d <package> command
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
mv
Watchman
Watchman


Joined: 20 Apr 2005
Posts: 6242

PostPosted: Thu Feb 22, 2018 2:20 pm    Post subject: Reply with quote

fedeliallalinea wrote:
How they may be in the world file if he has removed them?

I am not sure whether removing a particular version (with =) removes the package from the world file. Also there might be things like --select=n in portage default options or perhaps some other configuration tweaks. I would simply grep the world file for texlive; then one can be sure to find all entries.

Also, one should check the sets om the world_sets file: If there is a set which contains some texlive-* packages, this would also mean that they end up in @selected.

Otherwise, it is not possible that @selected contains textlive-* (unless there is a serious portage bug).

Quote:
froosh you can check this with equery d <package> command

eix will also show by the color of the package name whether the package is in @world or @word_sets.

Edit: Fix typos


Last edited by mv on Thu Feb 22, 2018 9:32 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20121
Location: here

PostPosted: Thu Feb 22, 2018 5:55 pm    Post subject: Reply with quote

mv thanks for clarification
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum